Bug 1122735 - Review Request: perl-IO-Pty-Easy - Easy interface to IO::Pty
Summary: Review Request: perl-IO-Pty-Easy - Easy interface to IO::Pty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123583
TreeView+ depends on / blocked
 
Reported: 2014-07-23 23:35 UTC by David Dick
Modified: 2014-08-13 00:39 UTC (History)
2 users (show)

Fixed In Version: perl-IO-Pty-Easy-0.09-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-03 01:57:51 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-23 23:35:47 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-IO-Pty-Easy.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-IO-Pty-Easy-0.09-1.fc20.src.rpm
Description: Easy interface to IO::Pty
Fedora Account System Username: ddick

Comment 2 Christopher Meng 2014-07-24 08:01:32 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
IO-Pty-Easy-0.09/lib/IO/Pty/Easy.pm

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/perl5/vendor_perl/IO
     (perl-IO-String, perl-IO-SessionData, perl-IO-Socket-SSL, perl-IO-Socket-
     IP, perl-IO-Socket-INET6, perl-IO-Multiplex, perl-IO-HTML, perl-IO-
     stringy)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: perl-IO-Pty-Easy-0.09-1.fc22.noarch.rpm
          perl-IO-Pty-Easy-0.09-1.fc22.src.rpm
perl-IO-Pty-Easy.noarch: W: spelling-error %description -l en_US ptys -> pays, ttys, phys
perl-IO-Pty-Easy.src: W: spelling-error %description -l en_US ptys -> pays, ttys, phys
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-IO-Pty-Easy
perl-IO-Pty-Easy.noarch: W: spelling-error %description -l en_US ptys -> pays, ttys, phys
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-IO-Pty-Easy (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Carp)
    perl(IO::Pty)
    perl(POSIX)
    perl(Scalar::Util)
    perl(base)
    perl(strict)
    perl(warnings)



Provides
--------
perl-IO-Pty-Easy:
    perl(IO::Pty::Easy)
    perl-IO-Pty-Easy



Source checksums
----------------
http://www.cpan.org/modules/by-module/IO/IO-Pty-Easy-0.09.tar.gz :
  CHECKSUM(SHA256) this package     : 37dbdb49186d691481b0b10c7d82280bbe4728076251bdfbfad03b3b04e8eaeb
  CHECKSUM(SHA256) upstream package : 37dbdb49186d691481b0b10c7d82280bbe4728076251bdfbfad03b3b04e8eaeb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn perl-IO-Pty-Easy-0.09-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Comment 3 David Dick 2014-07-24 08:50:49 UTC
Thanks Christopher! This is awesome.

New Package SCM Request
=======================
Package Name: perl-IO-Pty-Easy
Short Description: Easy interface to IO::Pty
Upstream URL: http://search.cpan.org/dist/IO-Pty-Easy/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2014-07-24 12:28:05 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-07-24 21:01:32 UTC
perl-IO-Pty-Easy-0.09-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-IO-Pty-Easy-0.09-1.fc20

Comment 6 Fedora Update System 2014-07-24 21:06:50 UTC
perl-IO-Pty-Easy-0.09-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-IO-Pty-Easy-0.09-1.el6

Comment 7 Fedora Update System 2014-07-26 00:01:45 UTC
perl-IO-Pty-Easy-0.09-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 8 Fedora Update System 2014-08-03 01:57:51 UTC
perl-IO-Pty-Easy-0.09-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-08-13 00:39:25 UTC
perl-IO-Pty-Easy-0.09-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.